Oracle JDeveloper and Application Development Framework 11g

Last updated: February 4, 2014

Certification and Support Matrix

This document identifies the various third party and Oracle products that are supported to work with the 11g versions of JDeveloper and Application Development Framework (ADF). Oracle ADF may support or certify with a super set of products than required for Oracle Fusion Middleware and this document serves as a reference for those cases. Also, please see the Oracle Fusion Middleware certification documentation

The versions of JDeveloper and ADF covered in this document are:

  • Oracle JDeveloper and ADF 11g (11.1.1.0.x), corresponds to Oracle WebLogic 10.3.0
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.1.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.1.0) and Oracle WebLogic 10.3.1
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.2.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.2.0) and Oracle WebLogic 10.3.2
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.3.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.3.0) and Oracle WebLogic 10.3.3
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.4.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.4.0) and Oracle WebLogic 10.3.4 
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.5.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.5.0) and Oracle WebLogic 10.3.5
  • Oracle JDeveloper and ADF 11g Release 1 (11.1.1.6.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.6.0) and Oracle WebLogic 10.3.6
    Oracle JDeveloper and ADF 11g Release 1 (11.1.1.7.0), corresponds to Oracle Fusion Middleware Release 1 (11.1.1.7.0) and Oracle WebLogic 10.3.6


In this document, the term Certified is used to denote a configuration that is tested in house by the Quality Assurance team. The term Supported indicates a configuration that has not been fully tested, but that Oracle believes to be functional. In both cases, customers may log bugs with Oracle Support, and the development team will evaluate them and fix them if feasible.

Important Note: After the initial release of 11.1.1.6.0 in February 2012, we have since updated the release to enable working with Oracle Cloud.  These are JDeveloper IDE changes only and do not affect the ADF runtime installation or deployed applications. To confirm which version of the 11.1.1.6.0 release you have, choose Help > About from the JDeveloper main menu. The full version information is displayed in the About box:

  • Build JDEVADF_11.1.1.6.0_GENERIC_111205.1733.6192.1: Initial 11.1.1.6.0 release with limited Oracle Cloud Early Access support (Feb, 2012)
  • Build JDEVADF_11.1.1.6.0CLOUD_GENERIC_121118.1600.6229: Updated 11.1.1.6.0 release with full Cloud support (Oct, 2012) 
If you are building ADF applications with the intention of deploying to Java Cloud Service, JDeveloper 11.1.1.6.0 Cloud Update (build 6229) is recommended as that version of JDeveloper contains the ADF runtime libraries that are provisioned in Java Cloud Service.

 

Operating Systems

The following operating systems are supported for the JDeveloper IDE. Note, the Oracle ADF runtime components are certified as part of Fusion Middleware.

Operating System Oracle JDK 1.6
(32 and 64 bit)
JRockit JDK 1.6
(32 and 64 bit)
Oracle JDK 1.7
(32 and 64 bit)6
Java for Mac OS
Microsoft Windows XP SP2, 2003 Server SP2, Vista, Windows 7 2, 2008 Server 3 Certified Certified Certified6 N/A
RedHat Enterprise Linux 4.0, 5.0 Certified Certified Certified6 N/A
Oracle Enterprise Linux 4.0, 5.0 Certified Certified Certified6 N/A
SUSE Linux Enterprise Server 10, 11 3 Certified Certified Certified6 N/A
Apple Mac OS X 10.5, 10.6 4 N/A N/A N/A Certified
Other operating systems Supported Supported Supported6 Supported

 Notes:

  • 32 bit JDK required for profiling features.
  • 64 bit JDK supported for Windows as of JDeveloper 11.1.1.4.0
  • For JDK 6, update 39 or later is recommended; for JDK 7, update 10 or later is recommended
  • JDeveloper bundles Integrated WLS 10.3.5, which does not support JDK 7. To use JDK 7 for JDeveloper and Integrated WLS, you can install WLS 10.3.6 separately and create an "Integrated Server" connection to it from JDeveloper
  • On Mac OS 10.5 Java for Mac OS X 10.5 Update 8 or later is recommended, on Mac OS 10.6 Java for Mac OS X 10.6 Update 3 or later is recommended

Databases

Oracle distinguishes between the database development features of the JDeveloper IDE (SQL Worksheet, online and offline database, database modeling, etc) and the Oracle ADF runtime libraries, notably ADF Business Components, in terms of supported databases. Please also see Oracle TopLink certification information.

Database JDeveloper  ADF 
Oracle Database Cloud Service 12.2 6 Certified Certified
Oracle 11g Release 1, Release 2 2 Certified Certified
Oracle 10g Release 1, Release 2 Certified Certified
Oracle 10g XE Certified Certified
Oracle 9i Release 2 Certified Supported
Oracle TimesTen 6.0, 7.0 2, 11g 4 Certified Supported
Oracle Lite 10g Release 1, Release 3 Certified Supported
Microsoft SQL Server 2005, 2008 Certified Supported, Certified 2
MySQL 4.1, 5.0 Certified Supported
MySQL 5.5 6 Certified Certified
IBM DB2 8.1, 9.5 Certified Supported, Certified 2
Sybase ASE 12.5, 15 Certified Supported
Informix DS 10, 11.5 Certified Not Supported
Apache Derby 10.5 3 Certified Supported
SQLite 3.6 3 Certified Supported
Other SQL92 databases Supported Supported

For third party databases, JDeveloper is certified with the vendor-provided JDBC drivers. ADF is certified with the same drivers as the rest of FMW runtime components, namely the WebLogic (Data Direct) JDBC drivers. See also the  Oracle Fusion Middleware certification documentation.

 

Application Servers

Please also see Oracle TopLink certification information. Refer to the Oracle Fusion Middleware certification documentation for more information regarding ADF (or JRF) support for third party application servers.

Application Server JDeveloper ADF
Oracle Java Cloud Service 12.2 6 Certified Certified. See note below.
Oracle WebLogic 10g Release 3 (10.3.0) Supported, Certified with 11.1.1.0.x only Certified with 11.1.1.0.x only
Oracle WebLogic 11g Release 1 (10.3.1) 1 Supported, Certified with 11.1.1.1.x only Certified with 11.1.1.1.x only
Oracle WebLogic 11g Release 1 Patch Set 1 (10.3.2) 2 Supported, Certified with 11.1.1.2.x only Certified with 11.1.1.2.x only
Oracle WebLogic 11g Release 1 Patch Set 2 (10.3.3) 3 Supported, Certified with 11.1.1.3.x only Certified with 11.1.1.3.x only
Oracle WebLogic 11g Release 1 Patch Set 3 (10.3.4) 4 Supported, Certified with 11.1.1.4.x only Certified with 11.1.1.4.x only
Oracle WebLogic 11g Release 1 Patch Set 4 (10.3.5) 5 Supported, Certified with 11.1.1.5.x, 11.1.1.6.x, 11.1.1.7.x only Certified with 11.1.1.5.x, 11.1.1.6.x, 11.1.1.7.x only
Oracle WebLogic 11g Release 1 Patch Set 5 (10.3.6) 6 Supported, Certified with 11.1.1.6.x, 11.1.1.7.x only Certified with 11.1.1.6.x, 11.1.1.7.x only
IBM WebSphere 6 Certified Not Supported
IBM WebSphere 7 Certified 2 Certified with WebSphere 7.0.0.13 AS or ND 4
Tomcat 6 Certified Not Supported
JBoss 4, 5 2 Certified Not Supported

 Notes:

  • Oracle Java Cloud Service is currently configured with ADF 11.1.1.6.0 run-time. Therefore, it is strongly recommended to use the JDeveloper 11.1.1.6.0 (Cloud release update) for developing and deploying ADF applications to Java Cloud Service.
  •  

Browsers

The Oracle ADF Faces rich client components supported with the following browsers.

Supported Browsers ADF Faces
Firefox 2.x, 3.x 2, 4+5 Supported
Internet Explorer 7, 8 2, 9 5, 107, 117 Supported
Safari (desktop) 3.2, 4.x 2, 5.x 4, 6 7 Supported
Safari (iOS) 4.32, 56, 67, 77 Supported
Chrome 1+ 1 Supported
Chrome (Android) 18+ 7 Supported

 Notes:

  • IE 11 support added as a post-release certification on 11.1.1.7.0. IE 11 support requires a patch from Oracle Support (patch #18277370 for 11.1.1.7.0)
  • The minimum required Firefox version is 2.0.0.20
  • For the ADF Faces components that render in Flash, Flash 9 and Flash 10 are certified until 11.1.1.4.0 from which point only Flash 10 is certified.
  • For Internet Explorer 8, 9, and 10, only Native mode is supported. View Compatibility mode should be disabled.

Mobile Browsers

The following mobile browsers are certified or supported for use with Oracle ADF Mobile Browser client. Oracle ADF Mobile Browser client uses Apache MyFaces Trinidad components. Please also see Apache MyFaces Trinidad supported platforms information.

Browser ADF Mobile
BlackBerry Browser 4 Certified
WebKit-based mobile browsers (iPhone Safari, Android Chrome, Nokia S60) Certified
Access NetFront 3 1 Certified
OpenWave (UP Browser) 7 1 Certified
Opera Mini 8 1 Certified
Pocket Internet Explorer for Windows Mobile 5, 6 Certified
Other Basic XHTML mobile browsers 1 Supported

 

Source Control Systems

Source Control System JDeveloper IDE
IBM ClearCase SCM 7.0 Certified
GNU CVS 1.11, CVSNT 2.5 Certified
Serena Dimensions 10.1 Certified
Perforce 2008 Certified
Subversion 1.5, SVNKit 1.2 Certified
Subversion 1.6 2 , SVNKit 1.3 2 Certified
Microsoft Visual Studio Team System 2008 TFS Certified

 

Desktop Clients

The following Windows desktop client applications are supported or certified with Oracle ADF Desktop Integration.

Operating System ADF Runtime (ADF Desktop Integration)
Microsoft Windows XP  Certified
Microsoft Windows Vista  Supported
Microsoft Windows 7 2 Certified
Microsoft Office Products ADF Runtime (ADF Desktop Integration)
Excel 2007, 2010 4 (.xlsx, .xlsm) Certified

 Notes:

  • ADF Desktop Integration requires Internet Explorer installed on the client.

Migration Support Matrix

         To >
v From

11.1.1.0 11.1.1.1 11.1.1.2 11.1.1.3 11.1.1.4 11.1.1.5 11.1.1.6 11.1.1.7
10.1.2.x Not Supported Not Supported Not Supported Not Supported Not Supported Not Supported Not Supported Not Supported
10.1.3.0 Supported Supported Supported Supported Supported Supported Supported Supported
10.1.3.1 Supported Supported Supported Supported Supported Supported Supported Supported
10.1.3.2 Supported Supported Supported Supported Supported Supported Supported Supported
10.1.3.3 Supported Supported Supported Supported Supported Supported Supported Supported
10.1.3.4 Certified Certified Supported Supported Supported Supported Supported Supported
10.1.3.5 Supported Supported Certified Certified Certified Certified Certified Certified
11.1.1.0 N/A Certified Certified Supported Supported Supported Supported Supported
11.1.1.1 N/A N/A Certified Supported Supported Supported Supported Supported
11.1.1.2 N/A N/A N/A Certified Supported Supported Supported Supported
11.1.1.3 N/A N/A N/A N/A Certified Supported Supported Supported
11.1.1.4 N/A N/A N/A N/A N/A Certified Supported Supported
11.1.1.5 N/A N/A N/A N/A N/A N/A Certified Supported
11.1.1.6 N/A N/A N/A N/A N/A N/A N/A Certified

 
1. Support or certification added in 11g Release 1 (11.1.1.1.0). Does not apply to 11g versions prior to 11.1.1.1.0.
2. Support or certification added in 11g Release 1 (11.1.1.2.0). Does not apply to 11g Release 1 versions prior to 11.1.1.2.0.
3. Support or certification added in 11g Release 1 (11.1.1.3.0). Does not apply to 11g Release 1 versions prior to 11.1.1.3.0.
4. Support or certification added in 11g Release 1 (11.1.1.4.0). Does not apply to 11g Release 1 versions prior to 11.1.1.4.0.
5. Support or certification added in 11g Release 1 (11.1.1.5.0). Does not apply to 11g Release 1 versions prior to 11.1.1.5.0.
6. Support or certification added in 11g Release 1 (11.1.1.6.0). Does not apply to 11g Release 1 versions prior to 11.1.1.6.0.

7. Support or certification added in 11g Release 1 (11.1.1.7.0). Does not apply to 11g Release 1 versions prior to 11.1.1.7.0.

 

 

false ,,,,,,,,,,,,,,,,